
Name: shorewall
Version: 3.4.2
Release: alt1
Summary: Shoreline Firewall is a high-level tool for configuring Netfilter
License: GPL
Group: Security/Networking
Url: http://www.shorewall.net/
Source0: %name-%version.tar.bz2
Source1: %name.init
Source2: %name-docs-html-%version.tar.bz2
Source3: %name-control
Source4: %name-README.ALT.RU.UTF8

Packager: Alexey Shabalin <shaba@altlinux.org>

BuildArch: noarch
Requires: iptables iproute
BuildRequires: packages-info-i18n-common

%description
The Shoreline Firewall, more commonly known as "Shorewall", is a high-level
tool for configuring Netfilter. You describe your firewall/gateway
requirements using entries in a set of configuration files. Shorewall reads
those configuration files and with the help of the iptables utility,
Shorewall configures Netfilter to match your requirements. Shorewall can be
used on a dedicated firewall system, a multi-function gateway/router/server
or on a standalone GNU/Linux system. Shorewall does not use Netfilter's
ipchains compatibility mode and can thus take advantage of Netfilter's
connection state tracking capabilities.

%prep
%setup -q

%install

PREFIX=%buildroot DEST=%_initdir %_buildshell install.sh
%__install -m 0755 -p %SOURCE1 %buildroot%_initdir/%name
%__tar -xjf %SOURCE2
%__mv %name-docs-html-%version html
%__install -D -m 0755 %SOURCE3 %buildroot%_controldir/%name
%__install -m 0644 %SOURCE4 README.ALT.RU.UTF8

%post
%post_service %name

%preun
%preun_service %name

%files
%doc COPYING INSTALL changelog.txt releasenotes.txt tunnel ipsecvpn Samples
%doc html
%doc README.ALT.RU.UTF8
%attr(0700,root,root) /sbin/%name
%attr(0755,root,root) %config %_initdir/%name
%attr(0755,root,root) %dir %_sysconfdir/%name
%attr(0600,root,root) %config(noreplace) %_sysconfdir/%name/[a-z]*
%_controldir/%name
%attr(0600,root,root) %_sysconfdir/%name/Makefile
%attr(0755,root,root) %dir %_datadir/%name
%attr(0755,root,root) %dir %_datadir/%name/configfiles
%attr(0600,root,root) %_datadir/%name/a*
%attr(0600,root,root) %_datadir/%name/configpath
%attr(0600,root,root) %_datadir/%name/functions
%attr(0600,root,root) %_datadir/%name/[l-z,A-Z]*
%attr(0700,root,root) %_datadir/%name/compiler
%attr(0700,root,root) %_datadir/%name/firewall
%attr(0600,root,root) %_datadir/%name/configfiles/*
%attr(0700,root,root) %dir %_var/lib/%name
%_man5dir/*
%_man8dir/*

%changelog
* Mon Apr 02 2007 Alexey Shabalin <shaba@altlinux.ru> 3.4.2-alt1
- 3.4.2
- remove patches
- add manpages

* Thu Mar 01 2007 Alexey Shabalin <shaba@altlinux.ru> 3.2.9-alt1
- Initial build for Sisyphus
